Pistis
API referenceSharing

Share a session with a person

POST
/sessions/{id}/shares

Authorization

bearer
headerAuthorizationBearer <token>

An API token

Path Parameters

id*string

A session id

Request Body

application/json
  1. body
with*string

The person's email or name

role*ShareRole
Value in"viewer""collaborator""approver"

Response Body

Shared

application/json
  1. response
with*string

Their principal

role*ShareRole
Value in"viewer""collaborator""approver"
Example Request
curl -X POST 'http://127.0.0.1:7777/sessions/ses_6c1f2a0b9d3e4f5a6b7c/shares' \  -H 'Content-Type: application/json' \  -d '{  "with": "bob@example.com",  "role": "viewer"}'
Example Response
{  "with": "string",  "role": "viewer"}